=== debian/changelog ===
musl (0.9.14-2ubuntu1) trusty; urgency=low

  * Stop musl-dev providing libc-dev (closes: #725376).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Oct 2013 18:23:49 -0700

musl (0.9.14-2) unstable; urgency=low

  * Make musl-tools depend on musl-dev (Closes: #725060)
  * Place each package in the correct section (Closes: #725148)

 -- Kevin Bortis <pkgs@bortis.ch>  Fri, 04 Oct 2013 21:45:54 +0200

musl (0.9.14-1) unstable; urgency=low

  * Import upstream version 0.9.14
  * Only build on fully supported architectures
  * Point to new homepage in control file (Closes: #724277)
  * Revorked debian/rules
  * Solved possible problem with postrm script (Closes: #724247)

 -- Kevin Bortis <pkgs@bortis.ch>  Fri, 27 Sep 2013 23:47:18 +0200

musl (0.9.13-3) unstable; urgency=low

  * Ready for Debian upload  (Closes: #713072) 
  * Respect user set CC
  * Reworked package according to feedback gven
    by Anton Gladky. See #721839 for reference.
  * Reworked debian/copyright file according to
    feedback given by Paul Richards Tagliamonte

 -- Kevin Bortis <pkgs@bortis.ch>  Fri, 20 Sep 2013 20:54:14 +0200

musl (0.9.13-2) unstable; urgency=low

  * Added preliminary manpages for ld-musl-config and musl-gcc

 -- Kevin Bortis <pkgs@bortis.ch>  Fri, 20 Sep 2013 19:20:33 +0200

musl (0.9.13-1) unstable; urgency=low

  * Import upstream version 0.9.13

 -- Kevin Bortis <pkgs@bortis.ch>  Sun, 01 Sep 2013 22:20:46 +0200

musl (0.9.12-2) unstable; urgency=low

  * Corrected lintian error "description-starts-with-package-name"
  * Corrected lintian warning "shared-lib-without-dependency-information" 

 -- Kevin Bortis <pkgs@bortis.ch>  Fri, 02 Aug 2013 15:22:17 +0200

musl (0.9.12-1) unstable; urgency=low

  * Import upstream version 0.9.12
  * New LDSO_PATHNAME for armhf (/etc/ld-musl-armhf.path)

 -- Kevin Bortis <pkgs@bortis.ch>  Mon, 29 Jul 2013 15:46:21 +0000

musl (0.9.11-1) unstable; urgency=low

  * Import upstream version 0.9.11

 -- Kevin Bortis <pkgs@bortis.ch>  Sun, 30 Jun 2013 18:16:00 +0200

musl (0.9.10-1) unstable; urgency=low

  * Initial release (Closes: #713072)

 -- Kevin Bortis <pkgs@bortis.ch>  Fri, 21 Jun 2013 17:12:20 +0200
