=== debian/control ===
Source: musl
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kevin Bortis <pkgs@bortis.ch>
Build-Depends: debhelper (>=9), dh-exec (>=0.6)
Standards-Version: 3.9.4
Homepage: http://www.musl-libc.org/
Vcs-Git: https://github.com/wermut/musl.git
Vcs-Browser: https://github.com/wermut/musl/

Package: musl
Section: libs
Architecture: armel armhf i386 amd64 mips mipsel
Depends: ${misc:Depends}
Description: standard C library
 musl is lightweight, fast, simple, free and strives
 to be correct in the sense of standards-conformance
 and safety.
 .
 This package contains the shared objects

Package: musl-dev
Section: libdevel
Architecture: armel armhf i386 amd64 mips mipsel
Depends: ${misc:Depends}, musl (= ${binary:Version})
Description: standard C library development files
 musl is lightweight, fast, simple, free and strives
 to be correct in the sense of standards-conformance
 and safety.
 .
 This package contains the static linked libraries
 and the include files.

Package: musl-tools
Section: devel
Architecture: armel armhf i386 amd64 mips mipsel
Depends: ${misc:Depends}, musl-dev (= ${binary:Version}),
         gcc (>= 4.7.2)
Description: standard C library tools
 musl is lightweight, fast, simple, free and strives
 to be correct in the sense of standards-conformance
 and safety.
 .
 This package contains the gcc spec file and the
 musl-gcc wraper script to make easy-to-deploy static
 and minimally dynamic linked programs.
