=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: musl
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kevin Bortis <pkgs@bortis.ch>
+Maintainer: Kevin Bortis <pkgs@bortis.ch>
 Build-Depends: debhelper (>=9), dh-exec (>=0.6)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.musl-libc.org/
 Vcs-Git: https://github.com/wermut/musl.git
 Vcs-Browser: https://github.com/wermut/musl/
@@ -12,6 +11,7 @@
 Package: musl
 Section: libs
 Architecture: armel armhf i386 amd64 mips mipsel
+Multi-Arch: same
 Depends: ${misc:Depends}
 Description: standard C library
  musl is lightweight, fast, simple, free and strives
