## musl 1.1.4

=== debian/changelog ===
musl (1.1.4-1) unstable; urgency=low

  * Import upstream version 1.1.4. (Closes: #754758)
  * Fixes possible stack-based buffer overflow CVE-2014-3484 (Closes: #750815) 
  * Includes fix for build regression on armhf and armel

 -- Kevin Bortis <pkgs@bortis.ch>  Mon, 26 May 2014 22:45:52 +0200

musl (1.1.0-1) unstable; urgency=low

  [ Kevin Bortis ]
  * Import upstream version 1.1.0

  [ Anton Gladky ]
  * Add autopkgtest according to DEP-8

 -- Kevin Bortis <pkgs@bortis.ch>  Fri, 25 Apr 2014 19:49:40 +0000

musl (1.0.0-1) unstable; urgency=medium

  * Import upstream version 1.0.0
  * Provide musl-ldd (Closes: #732169)
  * Arch independent ld-musl-config (Closes: #739205)

 -- Kevin Bortis <pkgs@bortis.ch>  Sat, 22 Mar 2014 09:39:56 +0100
