=== debian/watch ===
# See uscan(1) for format
version=3
http://www.musl-libc.org/releases/musl-(.*)\.tar\.gz
