=== debian/rules ===
--- 
+++ 
@@ -52,11 +52,7 @@
 	sed 's/@MUSL_TRIPLE@/$(MUSL_TRIPLE)/g' $< > $@
 	cp debian/scripts/$(MUSL_TRIPLE).path debian/scripts/ld-musl-$(MUSL_ARCH).path
 
-debian/scripts/ld-musl-config: debian/scripts/ld-musl-config.in
-	sed 's/@MUSL_ARCH@/$(MUSL_ARCH)/g' $< > $@
-	chmod +x debian/scripts/ld-musl-config
-
-override_dh_auto_configure: debian/scripts/$(MUSL_TRIPLE).path debian/scripts/ld-musl-config
+override_dh_auto_configure: debian/scripts/$(MUSL_TRIPLE).path
 	dh_auto_configure -- --libdir=/usr/lib/$(MUSL_TRIPLE) --includedir=/usr/include/$(MUSL_TRIPLE) --host=$(DEB_HOST_GNU_TYPE)
 
 override_dh_fixperms:
