=== debian/changelog ===
musl (1.1.9-1) unstable; urgency=low

  [ Kevin Bortis ]
  * Import upstream version 1.1.9 
  * Provide linux-libc-dev on musl-linux-any
  
  [ Helmut Grohne ]
  * Build musl for the corresponding musl-linux-any (Closes: #783078)
  * Provide libc-dev on musl-linux-any

 -- Kevin Bortis <pkgs@bortis.ch>  Wed, 29 Apr 2015 18:16:36 +0200

musl (1.1.8-1~exp1) experimental; urgency=low

  * Import upstream version 1.1.8
  * Fixes possible stack-based buffer overflow CVE-2015-1817
  * Includes new aarch64 port

 -- Kevin Bortis <pkgs@bortis.ch>  Tue, 31 Mar 2015 19:49:20 +0200
