=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kevin Bortis <pkgs@bortis.ch>
 Build-Depends: debhelper (>=9), dh-exec (>=0.6) 
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.musl-libc.org/
 Vcs-Git: https://github.com/wermut/musl.git
 Vcs-Browser: https://github.com/wermut/musl/
@@ -11,7 +11,7 @@
 
 Package: musl
 Section: libs
-Architecture: armel armhf i386 amd64 mips mipsel
+Architecture: arm64 musl-linux-arm64 armel armhf musl-linux-armhf i386 musl-linux-i386 amd64 musl-linux-amd64 mips musl-linux-mips mipsel musl-linux-mipsel
 Multi-Arch: same
 Depends: ${misc:Depends}
 Description: standard C library
@@ -23,8 +23,10 @@
 
 Package: musl-dev
 Section: libdevel
-Architecture: armel armhf i386 amd64 mips mipsel
-Depends: ${misc:Depends}, musl (= ${binary:Version})
+Architecture: arm64 musl-linux-arm64 armel armhf musl-linux-armhf i386 musl-linux-i386 amd64 musl-linux-amd64 mips musl-linux-mips mipsel musl-linux-mipsel
+Provides: ${libc-dev:Provides}
+Depends: ${misc:Depends}, musl (= ${binary:Version}), ${linux-libc-dev:Depends}
+Recommends: ${linux-musl-dev:Recommends}
 Description: standard C library development files
  musl is lightweight, fast, simple, free and strives
  to be correct in the sense of standards-conformance
@@ -35,7 +37,7 @@
 
 Package: musl-tools
 Section: devel
-Architecture: armel armhf i386 amd64 mips mipsel
+Architecture: arm64 armel armhf i386 amd64 mips mipsel
 Depends: ${misc:Depends}, musl-dev (= ${binary:Version}),
          gcc (>= 4.7.2)
 Description: standard C library tools
