=== debian/rules ===
--- 
+++ 
@@ -4,23 +4,24 @@
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Calculating musl based architecture
 MUSL_ARCH=$(DEB_HOST_GNU_CPU)
 MUSL_TRIPLE=$(DEB_HOST_GNU_CPU)-linux-musl
 
-ifeq ($(DEB_HOST_ARCH),armel)
+ifneq (,$(findstring armel,$(DEB_HOST_ARCH)))
   MUSL_ARCH=arm
   MUSL_TRIPLE=arm-linux-musleabi
 endif
 
-ifeq ($(DEB_HOST_ARCH),armhf)
+ifneq (,$(findstring armhf,$(DEB_HOST_ARCH)))
   MUSL_ARCH=armhf
   MUSL_TRIPLE=arm-linux-musleabihf
 endif
 
-ifeq ($(DEB_HOST_ARCH),i386)
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
   MUSL_ARCH=i386
   MUSL_TRIPLE=i386-linux-musl
 endif
@@ -45,6 +46,14 @@
 export CPPFLAGS
 export LDFLAGS
 
+# Substitue control file variables debending on the debian libc type
+# If musl is the native libc, we can provide libc and depend on linux-libc-dev
+ifneq (,$(findstring musl-linux-,$(DEB_HOST_ARCH)))
+  GENCTRL_OPTIONS = -Vlibc-dev:Provides=libc-dev -Vlinux-libc-dev:Depends=linux-libc-dev 
+else
+  GENCTRL_OPTIONS = -Vlinux-musl-dev:Recommends=linux-musl-dev
+endif
+
 %:
 	dh $@ --parallel
 
@@ -58,3 +67,5 @@
 override_dh_fixperms:
 	dh_fixperms --exclude libc.so
 
+override_dh_gencontrol:
+	dh_gencontrol -- $(GENCTRL_OPTIONS)
