## musl 1.1.15

=== debian/changelog ===
musl (1.1.15-2) unstable; urgency=high

  * Cherry-pick upstream fix for regex integer overflow in buffer size
    computations; CVE-2016-8859 (Closes: #842171)

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 27 Oct 2016 18:53:49 +0200

musl (1.1.15-1) unstable; urgency=low

  * New upstream release.
  * New supported architectures: mips64el, sh4
  * debian/control:
    - Adopt package, update maintainer. (Closes: #830176)
    - Remove unneeded XS-Testsuite field
    - Change Vcs-* fields to point to collab-maint.
    - Bump Standards-Version to 3.9.8.
  * Add upstream's signing key.
  * Check PGP signature when importing upstream releases.
  * Move musl-ldd symlink from musl to musl-tools. (Closes: #803577)
  * Drop ARM thumb compatibility patch (applied upstream).
  * Install upstream changelog.
  * postinst/postrm: Set -e in body instead of shebang.
  * Fix manpage typos found by lintian.
  * Remove duplicate mdoc manpages.
  * Build with debugging symbols to support dbgsym packages.
  * Update copyrights; remove trailing whitespace.
  * Amend autopkgtest to test dynamic linking.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 08 Jul 2016 14:38:17 +0200

musl (1.1.9-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Always enable gcc wrapper, as it is no longer required for gcc6,
    but is still useful for older gcc versions. (Closes: #812278)

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 06 Jul 2016 21:07:23 +0200

musl (1.1.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Create /usr/lib/$MUSL_TRIPLE/libc.so in postinst to support merged /usr
    systems. (Closes: #766812)

 -- Marco d'Itri <md@linux.it>  Sat, 06 Feb 2016 01:12:33 +0100
