=== debian/rules ===
--- 
+++ 
@@ -62,10 +62,24 @@
 	cp debian/scripts/$(MUSL_TRIPLE).path debian/scripts/ld-musl-$(MUSL_ARCH).path
 
 override_dh_auto_configure: debian/scripts/$(MUSL_TRIPLE).path
-	dh_auto_configure -- --libdir=/usr/lib/$(MUSL_TRIPLE) --includedir=/usr/include/$(MUSL_TRIPLE) --host=$(DEB_HOST_GNU_TYPE)
+	dh_auto_configure -- --libdir=/usr/lib/$(MUSL_TRIPLE) --includedir=/usr/include/$(MUSL_TRIPLE) --host=$(DEB_HOST_GNU_TYPE) --enable-gcc-wrapper --enable-debug
 
 override_dh_fixperms:
 	dh_fixperms --exclude libc.so
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(GENCTRL_OPTIONS)
+
+override_dh_clean:
+	rm -f debian/musl-dev.postinst debian/musl-dev.postrm
+	dh_clean
+
+override_dh_installdeb:
+	sed 's/@MUSL_TRIPLE@/$(MUSL_TRIPLE)/g' \
+		debian/musl-dev.postinst.in > debian/musl-dev.postinst
+	sed 's/@MUSL_TRIPLE@/$(MUSL_TRIPLE)/g' \
+		debian/musl-dev.postrm.in > debian/musl-dev.postrm
+	dh_installdeb
+
+override_dh_installchangelogs:
+	dh_installchangelogs WHATSNEW
