## musl 1.1.16

=== debian/changelog ===
musl (1.1.16-3) unstable; urgency=medium

  * Import upstream fix for PPC64 crash.
    Thanks to Breno Leitao for investigating. (Closes: #857078)

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Mar 2017 19:19:31 +0100

musl (1.1.16-2) unstable; urgency=medium

  [ Breno Leitao ]
  * Enable building on ppc64el. (Closes: #851686)

  [ Reiner Herrmann ]
  * Fix build failure on armhf with newer binutils. (Closes: #852214)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 22 Jan 2017 18:18:26 +0100

musl (1.1.16-1) unstable; urgency=low

  * New upstream release.
  * New supported architecture: s390x
  * Remove patch cve-2016-8859.diff (applied upstream).
  * Bump debhelper compatibility to 10.
    - drop --parallel, which is now default.
  * Use Debian buildflags and enable all hardening options.
  * Remove ancient version restrictions on gcc and dh-exec.
  * Disable PIE linking in musl-gcc wrapper to workaround linking issues
    (Closes: #847776).

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 03 Jan 2017 22:38:49 +0100
