=== debian/control ===
Source: musl
Section: libs
Priority: extra
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper (>= 10), dh-exec
Standards-Version: 3.9.8
Homepage: http://www.musl-libc.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/musl.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/musl.git

Package: musl
Architecture: arm64 musl-linux-arm64 armel armhf musl-linux-armhf i386 musl-linux-i386 amd64 musl-linux-amd64 mips musl-linux-mips mipsel musl-linux-mipsel mips64el musl-linux-mips64el s390x musl-linux-s390x sh4 musl-linux-sh4 ppc64el musl-linux-ppc64el
Multi-Arch: same
Depends: ${misc:Depends}
Description: standard C library
 musl is lightweight, fast, simple, free and strives
 to be correct in the sense of standards-conformance
 and safety.
 .
 This package contains the shared objects

Package: musl-dev
Section: libdevel
Architecture: arm64 musl-linux-arm64 armel armhf musl-linux-armhf i386 musl-linux-i386 amd64 musl-linux-amd64 mips musl-linux-mips mipsel musl-linux-mipsel mips64el musl-linux-mips64el s390x musl-linux-s390x sh4 musl-linux-sh4 ppc64el musl-linux-ppc64el
Provides: ${libc-dev:Provides}
Depends: ${misc:Depends}, musl (= ${binary:Version}), ${linux-libc-dev:Depends}
Recommends: ${linux-musl-dev:Recommends}
Description: standard C library development files
 musl is lightweight, fast, simple, free and strives
 to be correct in the sense of standards-conformance
 and safety.
 .
 This package contains the static linked libraries
 and the include files.

Package: musl-tools
Section: devel
Architecture: arm64 armel armhf i386 amd64 mips mipsel mips64el s390x sh4 ppc64el
Depends: ${misc:Depends}, musl-dev (= ${binary:Version}), gcc, libdpkg-perl (>= 1.18.11)
Replaces: musl (<< 1.1.15-1)
Breaks: musl (<< 1.1.15-1)
Description: standard C library tools
 musl is lightweight, fast, simple, free and strives
 to be correct in the sense of standards-conformance
 and safety.
 .
 This package contains the gcc spec file and the
 musl-gcc wrapper script to make easy-to-deploy static
 and minimal dynamically linked programs.
