=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,16 @@
   MUSL_ARCH=i386
   MUSL_TRIPLE=i386-linux-musl
 endif
+
+ifneq (,$(findstring ppc64el,$(DEB_HOST_ARCH)))
+  export DEB_CFLAGS_MAINT_APPEND += -mlong-double-64
+endif
+
 export MUSL_ARCH
 export MUSL_TRIPLE
 
 # Cross build support
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))  
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
   CC ?= cc
 else
   CC=$(DEB_HOST_GNU_TYPE)-gcc
@@ -38,13 +43,7 @@
 endif
 export CC
 
-# Clear variables to make musl happy
-CFLAGS=
-CPPFLAGS=
-LDFLAGS=
-export CFLAGS
-export CPPFLAGS
-export LDFLAGS
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Substitue control file variables debending on the debian libc type
 # If musl is the native libc, we can provide libc and depend on linux-libc-dev
@@ -55,7 +54,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 debian/scripts/$(MUSL_TRIPLE).path: debian/scripts/config.path.in
 	sed 's/@MUSL_TRIPLE@/$(MUSL_TRIPLE)/g' $< > $@
