=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
 http://www.musl-libc.org/releases/musl-([\d\.]+)\.tar\.gz
