## musl 1.1.18

=== debian/changelog ===
musl (1.1.18-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream.
  * Remove trailing whitespace in d/changelog and d/rules.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 31 Oct 2017 21:57:13 +0100

musl (1.1.17-2) unstable; urgency=medium

  * Fix build failure on armel because of unsupported instruction.
    Thanks to Adrian Bunk for providing the patch. (Closes: #879190)

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 20 Oct 2017 18:19:33 +0200

musl (1.1.17-1) unstable; urgency=high

  * New upstream release.
    - Fixes security issue: buffer overflow in dns response parsing
      (CVE-2017-15650)
  * Drop patches applied upstream.
  * Update Standards-Version to 4.1.1.
    - change priority to optional
  * Switch http URLs to https.
  * Bump copyright years for 2017.
  * Mark musl-dev as Multi-Arch: same (Closes: #873363)
    - add lintian override for musl-specific directory unknown to lintian

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 19 Oct 2017 23:08:39 +0200
