=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: musl
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper (>= 10), dh-exec
-Standards-Version: 3.9.8
-Homepage: http://www.musl-libc.org/
+Standards-Version: 4.1.1
+Homepage: https://www.musl-libc.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/musl.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/musl.git
 
@@ -22,6 +22,7 @@
 Package: musl-dev
 Section: libdevel
 Architecture: arm64 musl-linux-arm64 armel armhf musl-linux-armhf i386 musl-linux-i386 amd64 musl-linux-amd64 mips musl-linux-mips mipsel musl-linux-mipsel mips64el musl-linux-mips64el s390x musl-linux-s390x sh4 musl-linux-sh4 ppc64el musl-linux-ppc64el
+Multi-Arch: same
 Provides: ${libc-dev:Provides}
 Depends: ${misc:Depends}, musl (= ${binary:Version}), ${linux-libc-dev:Depends}
 Recommends: ${linux-musl-dev:Recommends}
