=== debian/changelog ===
musl (1.1.19-1) unstable; urgency=medium

  * New upstream release.
  * Move packaging VCS to salsa.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper compat/dependency to 11.
  * Fix spelling error found by lintian.
  * Override lintian warning application-in-library-section for musl.
  * Add upstream metadata file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Feb 2018 18:54:30 +0100
