=== debian/tests/control ===
Tests: build
Depends: musl-tools, build-essential
