=== debian/changelog ===
musl (1.1.20-1) unstable; urgency=medium

  * New upstream release.
  * New supported architecture: m68k
  * Bump Standards-Version to 4.2.1.
  * Drop patch for working around binutils static linking bug.
    binutils fix is included in 2.31.1-2 (with a follow up in 2.31.1-3).
  * Drop patch with musl-gcc workaround for linking with default-pie
    toolchains, as the upstream specs file now includes a better solution.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 04 Sep 2018 22:31:55 +0200

musl (1.1.19-2) unstable; urgency=medium

  * Workaround binutils 2.31 bug that broke static linking.
    Thanks to Szabolcs Nagy for the analysis and workaround.
  * Bump Standards-Version to 4.1.5.
  * Add binutils to test dependencies to trigger autopkgtest runs when
    they are updated.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 19 Jul 2018 18:52:03 +0200
