=== debian/tests/control ===
Tests: build
Depends: musl-tools, binutils, build-essential
