## musl 1.1.21

=== debian/changelog ===
musl (1.1.21-2) unstable; urgency=medium

  * Revert "Install ld.so symlink with dh_install instead of dh_link".
    The upstream symlink was pointing to /usr/lib/${TRIPLE}/libc.so, which
    is part of a different package (musl-dev).
  * Add /lib/ld-musl-*.so.1 symlink to debian/not-installed, to tell
    dh_missing that it is deliberately not installed.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 23 Jan 2019 20:32:39 +0100

musl (1.1.21-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Depend on debhelper-compat and bump compat level to 12.
  * Install ld.so symlink with dh_install instead of dh_link.
    dh_missing was confused by symlink that was also installed by
    upstream Makefile.
  * Declare that debian/rules does not require root.
  * Update debian/copyright and bump years.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 22 Jan 2019 20:23:18 +0100
