=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 11), dh-exec
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), dh-exec
+Standards-Version: 4.3.0
 Homepage: https://www.musl-libc.org/
 Vcs-Git: https://salsa.debian.org/deki-guest/musl.git
 Vcs-Browser: https://salsa.debian.org/deki-guest/musl
+Rules-Requires-Root: no
 
 Package: musl
 Architecture: arm64 musl-linux-arm64 armel armhf musl-linux-armhf i386 musl-linux-i386 amd64 musl-linux-amd64 m68k musl-linux-m68k mips musl-linux-mips mipsel musl-linux-mipsel mips64el musl-linux-mips64el s390x musl-linux-s390x sh4 musl-linux-sh4 ppc64el musl-linux-ppc64el
